package fi.cas.opplugin;
import java.net.URL;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceException;

public abstract interface TxServiceGateway_Service extends Service {
    public abstract String getTxServiceGatewayPortAddress();

    public abstract TxServiceGateway_PortType getTxServiceGatewayPort()
            throws ServiceException;

    public abstract TxServiceGateway_PortType getTxServiceGatewayPort(
            URL paramURL) throws ServiceException;
}